Bug 448935 - Lazy-load with journal will fail for redelivered messages
Lazy-load with journal will fail for redelivered messages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kim van der Riet
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 11:31 EDT by Gordon Sim
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-05-29 11:31:18 EDT
Lazy loading in async store mode uses the journals read function. This doesn't
allow for re-reading of a message once read. If a lazy-loaded message is not
acked by a client and is consequently resent to another client it will currently
attempt to re-load the data and if the journal is in use this will fail.

(Need a test case to accompany this, but raising the BZ early to ensure we don't
lose sight of it)/
Comment 1 Kim van der Riet 2008-06-05 18:10:44 EDT
Found some logic errors that allowed the journal to lock up in an infinite loop
when trying to lazy-load from a journal that has nothing more to read. Fixed
re-load problem by tracking the rids of read records and invalidating the read
manager when the requested rid is lower than the last read rid. This is a simple
but klunky solution; fortunately this is not a common scenario.

Python tests to test this and other flow-to-disk scenarios have also been added.
Comment 2 Mike Bonnet 2008-06-19 23:52:49 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.